// Top-level build file where you can add configuration options common to all sub-projects/modules.

buildscript {

    ext.kotlin_version = '1.4.0'

    ext.application_id = "com.quansu.heifengwuliu"
    ext.application_version_code = 1
    ext.application_version_name = "1.0.1"
    ext.support_version = "28.0.0"
    ext.min_sdk_version = 23
    ext.target_sdk_version = 28
    ext.compile_sdk_version = 28

    repositories {
        google()
        jcenter()
        mavenCentral() // add repository

        flatDir {
            dirs 'libs'
        }
    }

    dependencies {
        classpath 'com.android.tools.build:gradle:4.0.1'
        classpath 'com.billy.android:cc-register:1.1.2'

        // NOTE: Do not place your application dependencies here; they belong
        // in the individual module build.gradle files
        classpath "org.jetbrains.kotlin:kotlin-gradle-plugin:$kotlin_version"
    }
}

allprojects {
    repositories {
        google()
        jcenter()
        mavenCentral() // add repository
        maven { url "https://jitpack.io" }

    }
}

task clean(type: Delete) {
    delete rootProject.buildDir
}
